GMX-CURRENT(1)

NAME
gmx-current - Calculate dielectric constants and current autocorrelation function

SYNOPSIS

gmx current [-s [<.tpr/.gro/...>]] [-n [<.ndx>]] [-f [<.xtc/.trr/...>]]
            [-o [<.xvg>]] [-caf [<.xvg>]] [-dsp [<.xvg>]]
            [-md [<.xvg>]] [-mj [<.xvg>]] [-mc [<.xvg>]] [-b <time>]
            [-e <time>] [-dt <time>] [-[no]w] [-xvg <enum>]
            [-sh <int>] [-[no]nojump] [-eps <real>] [-bfit <real>]
            [-efit <real>] [-bvit <real>] [-evit <real>]
            [-temp <real>]

DESCRIPTION

gmx current is a tool for calculating the current autocorrelation function, the correlation of the rotational and translational dipole moment of the system, and the resulting static dielectric constant. To obtain a reasonable result, the index group has to be neutral. Furthermore, the routine is capable of extracting the static conductivity from the current autocorrelation function, if velocities are given. Additionally, an Einstein-Helfand fit can be used to obtain the static conductivity.

The flag -caf is for the output of the current autocorrelation function and -mc writes the correlation of the rotational and translational part of the dipole moment in the corresponding file. However, this option is only available for trajectories containing velocities. Options -sh and -tr are responsible for the averaging and integration of the autocorrelation functions. Since averaging proceeds by shifting the starting point through the trajectory, the shift can be modified with -sh to enable the choice of uncorrelated starting points. Towards the end, statistical inaccuracy grows and integrating the correlation function only yields reliable values until a certain point, depending on the number of frames. The option -tr controls the region of the integral taken into account for calculating the static dielectric constant.

Option -temp sets the temperature required for the computation of the static dielectric constant.

Option -eps controls the dielectric constant of the surrounding medium for simulations using a Reaction Field or dipole corrections of the Ewald summation (-eps=0 corresponds to tin-foil boundary conditions).

-[no]nojump unfolds the coordinates to allow free diffusion. This is required to get a continuous translational dipole moment, required for the Einstein-Helfand fit. The results from the fit allow the determination of the dielectric constant for system of charged molecules. However, it is also possible to extract the dielectric constant from the fluctuations of the total dipole moment in folded coordinates. But this option has to be used with care, since only very short time spans fulfill the approximation that the density of the molecules is approximately constant and the averages are already converged. To be on the safe side, the dielectric constant should be calculated with the help of the Einstein-Helfand method for the translational part of the dielectric constant.

OPTIONS

Options to specify input files:

-s [<.tpr/.gro/…>] (topol.tpr)
    Structure+mass(db): tpr gro g96 pdb brk ent

-n [<.ndx>] (index.ndx) (Optional)
    Index file

-f [<.xtc/.trr/…>] (traj.xtc)
    Trajectory: xtc trr cpt gro g96 pdb tng

    Options to specify output files:

-o [<.xvg>] (current.xvg)
    xvgr/xmgr file

-caf [<.xvg>] (caf.xvg) (Optional)
    xvgr/xmgr file

-dsp [<.xvg>] (dsp.xvg)
    xvgr/xmgr file

-md [<.xvg>] (md.xvg)
    xvgr/xmgr file

-mj [<.xvg>] (mj.xvg)
    xvgr/xmgr file

-mc [<.xvg>] (mc.xvg) (Optional)
    xvgr/xmgr file

    Other options:

-b <time> (0)
    Time of first frame to read from trajectory (default unit ps)

-e <time> (0)
    Time of last frame to read from trajectory (default unit ps)

-dt <time> (0)
    Only use frame when t MOD dt = first time (default unit ps)

-[no]w (no)
    View output .xvg, .xpm, .eps and .pdb files

-xvg <enum> (xmgrace)
    xvg plot formatting: xmgrace, xmgr, none

-sh <int> (1000)
    Shift of the frames for averaging the correlation functions and the mean-square displacement.

-[no]nojump (yes)
    Removes jumps of atoms across the box.

-eps <real> (0)
    Dielectric constant of the surrounding medium. The value zero corresponds to infinity (tin-foil boundary conditions).

-bfit <real> (100)
    Begin of the fit of the straight line to the MSD of the translational fraction of the dipole moment.

-efit <real> (400)
    End of the fit of the straight line to the MSD of the translational fraction of the dipole moment.

-bvit <real> (0.5)
    Begin of the fit of the current autocorrelation function to a*t^b.

-evit <real> (5)
    End of the fit of the current autocorrelation function to a*t^b.

-temp <real> (300)
    Temperature for calculating epsilon.

SEE ALSO

gmx(1)

More information about GROMACS is available at <http://www.gromacs.org/>.

COPYRIGHT
2021, GROMACS development team